package com.umall.shop.home.web;

import com.umall.shop.home.domain.Carousel;
import com.umall.shop.home.domain.Category;
import com.umall.shop.home.domain.CustomService;
import com.umall.shop.home.service.HomeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import java.util.List;
import java.util.Map;

/**
 * @author yangck
 * @create 2017-02-15 17:41
 */
@Controller
@RequestMapping("/")
public class HomeController {

    @Autowired
    private HomeService homeService;

    @RequestMapping(method = RequestMethod.GET)
    public String home(Map<String, Object> model) {
        Category category = homeService.getCategory(1L);
        List<Carousel> carousels = homeService.getCarousels("home");
        // 楼层
        model.put("category", category);
        model.put("carousels", carousels);
        // 楼层
        // TODO 客服信息，之后从配置文件中获取商城的企业UU信息
        CustomService customService = homeService.getCustomService(10030994L);
        model.put("customService", customService);
        // TODO 购物车商品数量，之后采用异步方式获取
        int cartCount = homeService.getCartCount(10030994L, 1000002363L);
        System.out.println(cartCount);
        return "home";
    }
}
